<?php
session_start();
include('db_config.php');  // เชื่อมต่อฐานข้อมูล

if (isset($_POST['signin'])) {
    $email = $_POST['email'];
    $password = $_POST['password'];

    // ใช้ password_hash() กับฐานข้อมูลที่เก็บรหัสผ่าน
    $sql = "SELECT EmailId, Password FROM tblusers WHERE EmailId = :email";
    $query = $dbh->prepare($sql);
    $query->bindParam(':email', $email, PDO::PARAM_STR);
    $query->execute();

    $result = $query->fetch(PDO::FETCH_ASSOC);

    if ($result && password_verify($password, $result['Password'])) {
        $_SESSION['login'] = $email;  // เก็บข้อมูลผู้ใช้ที่ล็อกอิน
        header("Location: package-list.php");  // ไปที่หน้าต่อไป
    } else {
        echo "<script>alert('Invalid Details');</script>";
    }
}

if (!isset($_SESSION['login'])) {
    echo "Please login first.";
} else {
    echo "Welcome, " . $_SESSION['login'];
}

?>

<?php
session_start();

// ลบ Session ที่เก็บข้อมูลผู้ใช้
session_unset();  
session_destroy();  

// ส่งผู้ใช้กลับไปที่หน้า Login
header("Location: signin.php");
exit();
?>



<!DOCTYPE html>
<html>
<head>
    <title>Sign In</title>
</head>
<body>
    <form method="post">
        <h3>Signin with your account</h3>
        <input type="text" name="email" placeholder="Enter your Email" required><br>
        <input type="password" name="password" placeholder="Password" required><br>
        <input type="submit" name="signin" value="SIGN IN"><br>
    </form>
</body>
</html>
